OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | List of all members
PointsToMask< GridT, InterrupterT > Class Template Reference

Makes every voxel of a grid active if it contains a point. More...

`#include <PointsToMask.h>`

## Classes
struct | ReducePool

## Public Types
using | ValueT = typename GridT::ValueType

## Public Member Functions
| PointsToMask (GridT &grid, InterrupterT *interrupter=nullptr)
| Constructor from a grid and optional interrupter. More...
template<typename PointListT >
void | addPoints (const PointListT &points, size_t grainSize=1024)
| Activates the state of any voxel in the input grid that contains a point. More...

## Detailed Description

### template<typename GridT, typename InterrupterT>
class openvdb::v5_1::tools::PointsToMask< GridT, InterrupterT >

Makes every voxel of a grid active if it contains a point.

## Member Typedef Documentation

## ◆ ValueT

using ValueT = typename GridT::ValueType

## Constructor & Destructor Documentation

## ◆ PointsToMask()

PointsToMask | ( | GridT & | grid,
|  | InterrupterT * | interrupter = `nullptr`
| ) |  |
| inline explicit

Constructor from a grid and optional interrupter.

Parameters

  grid | Grid whoes voxels will have their state activated by points.
  interrupter | Optional interrupter to prematurely terminate execution.

## Member Function Documentation

## ◆ addPoints()

void addPoints | ( | const PointListT & | points,
|  | size_t | grainSize = `1024`
| ) |  |
| inline

Activates the state of any voxel in the input grid that contains a point.

Parameters

  points | List of points that active the voxels in the input grid.
  grainSize | Set the grain-size used for multi-threading. A value of 0 disables multi-threading!

The documentation for this class was generated from the following file:

- PointsToMask.h